<?php

namespace Property\Property\Http\Controllers;

use App\Http\Controllers\PublicController as CMSPublicController;
use Property\Property\Interfaces\PropertyRepositoryInterface;

class PropertyPublicController extends CMSPublicController
{
    /**
     * Constructor.
     *
     * @param type \Property\Property\Interfaces\PropertyRepositoryInterface $property
     *
     * @return type
     */
    public function __construct(PropertyRepositoryInterface $property)
    {
        $this->model = $property;
        parent::__construct();
    }

    /**
     * Show property's list.
     *
     * @param string $slug
     *
     * @return response
     */
    protected function index()
    {
        $properties = $this->model->all();

        return $this->theme->of('property::public.property.index', compact('properties'))->render();
    }

    /**
     * Show property.
     *
     * @param string $slug
     *
     * @return response
     */
    protected function show($slug)
    {
        $property = $this->model->findBySlug($slug);

        return $this->theme->of('property::public.property.show', compact('property'))->render();
    }
}
