<?php

namespace Property\Property\Models;

use Illuminate\Database\Eloquent\SoftDeletes;
use Lavalite\Filer\FilerTrait;

class Property extends Model
{
    use FilerTrait, SoftDeletes;

    protected $dates = ['deleted_at'];

    /**
     * Initialiaze page modal.
     *
     * @param $name
     */
    public function __construct()
    {
        parent::__construct();
    }

    /**
     * Initialize the modal variables.
     *
     * @return void
     */
    public function initialize()
    {
        $this->fillable = config('property.property.fillable');
        $this->uploads = config('property.property.uploadable');
        $this->uploadRootFolder = config('property.property.upload_root_folder');
        $this->table = config('property.property.table');
    }
}
